You are not logged in.

#1 2021-02-24 20:59:58

Gadgethm
Member
Registered: 2020-12-29
Posts: 8

Kernel 5.11 warning about qat_4xxx firmware

Since the 5.11 kernel update, I'm now seeing the following during mkinitcpio initramfs generation:

==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'default'
  -> -k /boot/EFI/Arch/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/EFI/Arch/initramfs-linux-zen.img
==> Starting build: 5.11.1-zen1-1-zen
  -> Running build hook: [base]
  -> Running build hook: [systemd]
  -> Running build hook: [sd-plymouth]
  -> Running build hook: [autodetect]
  -> Running build hook: [keyboard]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [sd-tpm2]
  -> Running build hook: [sd-encrypt]
==> WARNING: Possibly missing firmware for module: qat_4xxx
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [btrfs]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/EFI/Arch/initramfs-linux-zen.img
==> Image generation successful

What is qat_4xxx?  Is this firmware something I may need? What package would I install in order to have access to the appropriate firmware for mkinitcpio?

Offline

#2 2021-02-24 21:09:46

loqs
Member
Registered: 2014-03-06
Posts: 17,294

Re: Kernel 5.11 warning about qat_4xxx firmware

Intel QuickAssist Technology QAT_4xxx for accelerating crypto and compression workloads.  Fimware module is looking for is qat_4xxx.bin and qat_4xxx_mmp.bin

Offline

#3 2021-02-25 17:54:27

farell
Member
Registered: 2021-02-25
Posts: 2
Website

Re: Kernel 5.11 warning about qat_4xxx firmware

i have same problem on linux kernel 5.11.1-arch1-1

Offline

#4 2021-02-25 18:12:35

progandy
Member
Registered: 2012-05-17
Posts: 5,190

Re: Kernel 5.11 warning about qat_4xxx firmware

That firmware file has not been released yet even though the driver for that devices has been added to the kernel. That just means that the driver will fail and the device will simply not work (same as kernel 5.10 where no driver was available)

Edit: I don't know if you would really need that specific firmware. As far as I know, the initramfs generator simply includes all possible firmware files for a module/driver. That driver supports different hardware generations and would only require the firmware files for the hardware you have. Everything else could be considered bloat.

Last edited by progandy (2021-02-25 18:22:01)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

#5 2021-02-26 10:41:52

loqs
Member
Registered: 2014-03-06
Posts: 17,294

Re: Kernel 5.11 warning about qat_4xxx firmware

  -> Running build hook: [sd-encrypt]
    if [[ $CRYPTO_MODULES ]]; then
        for mod in $CRYPTO_MODULES; do
            add_module "$mod"
        done
    else
        add_all_modules "/crypto/"
    fi

Unless you specify CRYPTO_MODULES every crypto module will be added to the initrd.

Offline

#6 2021-02-26 11:41:16

farell
Member
Registered: 2021-02-25
Posts: 2
Website

Re: Kernel 5.11 warning about qat_4xxx firmware

okay thanks for the answer we can skip warning

Offline

#7 2023-05-02 08:52:22

dcy3rka
Member
Registered: 2022-01-19
Posts: 49

Re: Kernel 5.11 warning about qat_4xxx firmware

Is now part of linux-firmware

Offline

Board footer

Powered by FluxBB